osl::rating::FromEffect Class Reference

移動元へのきき。attack defense は言葉の意味と逆で自分がattack More...

`#include <escape.h>`

Inheritance diagram for osl::rating::FromEffect:

## Public Member Functions

| FromEffect (int attack, int defense)
bool | match (const NumEffectState &state, Move move, const RatingEnv &env) const
Public Member Functions inherited from osl::rating::Feature
| Feature (const std::string &name)
virtual | ~Feature ()
virtual bool | effectiveInCheck () const
const std::string & | name () const

## Additional Inherited Members

Private Member Functions inherited from osl::rating::CountEffect2
| CountEffect2 (int a, int d)
bool | match (const NumEffectState &state, Square position, const RatingEnv &env) const
Static Private Member Functions inherited from osl::rating::CountEffect2
static std::pair< int, int > | count (const NumEffectState &state, Square position, const RatingEnv &env)
static std::string | name (int attack, int defense)
static int | index (const NumEffectState &state, Square position, const RatingEnv &env)
Private Attributes inherited from osl::rating::CountEffect2
int | attack
int | defense
Static Private Attributes inherited from osl::rating::CountEffect2
static const int | Max = 2

## Detailed Description

移動元へのきき。attack defense は言葉の意味と逆で自分がattack

Definition at line 14 of file feature/escape.h.

## Constructor & Destructor Documentation

## FromEffect()

osl::rating::FromEffect::FromEffect | ( | int | attack,
|  | int | defense )

inline

Definition at line 17 of file feature/escape.h.

References osl::rating::CountEffect2::attack, osl::rating::CountEffect2::CountEffect2(), osl::rating::CountEffect2::defense, osl::rating::Feature::Feature(), and osl::rating::Feature::name().

## Member Function Documentation

## match()

bool osl::rating::FromEffect::match | ( | const NumEffectState & | state,
|  | Move | move,
|  | const RatingEnv & | env ) const

inline virtual

Implements osl::rating::Feature.

Definition at line 19 of file feature/escape.h.

References osl::Move::from(), osl::Move::isDrop(), and osl::rating::CountEffect2::match().

The documentation for this class was generated from the following file:

- feature/escape.h